<ion-content>
  <div class="ion-text-end">
    <ion-button (click)="close()" fill="clear" color="dark">
      <ion-icon name="close" slot="start"></ion-icon>
    </ion-button>
  </div>

  <div class="ion-padding">
    <ion-list>
      <ion-item *ngFor="let item of cart" class="ion-text-wrap">
        <ion-grid>
          <ion-row>
            <ion-col size="3">
              <img [src]="item.img" />
            </ion-col>
            <ion-col size="6"> <b>{{ item.name }}</b> (R$ {{ item.price }}) </ion-col>
            <ion-col size="3" class="ion-text-end">
              R$ {{ item.amount * item.price }}
            </ion-col>
          </ion-row>

          <ion-row class="ion-align-items-center">
            <ion-col size="3" class="ion-text-center">
              <ion-button color="medium" fill="clear" (click)="decrease(item)">
                <ion-icon name="remove-circle" slot="icon-only"></ion-icon>
              </ion-button>
            </ion-col>

            <ion-col size="2" class="ion-text-center">
              {{ item.amount }}
            </ion-col>

            <ion-col size="3" class="ion-text-center">
              <ion-button color="success" fill="clear" (click)="increase(item)">
                <ion-icon name="add-circle" slot="icon-only"></ion-icon>
              </ion-button>
            </ion-col>

            <ion-col size="3" class="ion-text-right">
              <ion-button color="danger" fill="clear" (click)="remove(item)">
                <ion-icon name="close-circle" slot="icon-only"></ion-icon>
              </ion-button>
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>

      <ion-item>
        <ion-grid>
          <ion-col size="9">
            Total:
          </ion-col>
          <ion-col size="3" class="ion-text-end">
            R$ {{ total() }}
          </ion-col>
        </ion-grid>
      </ion-item>
    </ion-list>

    <ion-button expand="full" [href]="checkoutFormatted">
      Checkout
    </ion-button>
  </div>
</ion-content>
